body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields {
  --gf-form-gap-y: 20px;
}
body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gfield .ginput_container input, body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gfield .ginput_container textarea, body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gfield .ginput_container select {
  box-shadow: none;
  --gf-local-font-size: var(--wp--custom--typography--font-size--body);
  --gf-local-line-height: var(--wp--custom--typography--line-height--body);
}
body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gfield .ginput_container select {
  padding-top: 3px;
}
body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gfield.gfield--type-consent .ginput_container input:hover, body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gfield.gfield--type-consent .ginput_container label:hover {
  cursor: pointer;
}
body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gfield.gfield--type-consent .ginput_container input {
  position: relative;
  top: 4px;
}
body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gfield.gfield--type-quantity {
  grid-column: span 6;
}
body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gform-field-label {
  --gf-local-font-weight: var(--wp--custom--typography--font-weight--medium);
}
body.karolo-theme .gform_wrapper.gform-theme--framework .gform_footer .gform_button {
  box-shadow: none;
  font-size: var(--wp--custom--typography--font-size--button);
  line-height: var(--wp--custom--typography--line-height--button);
  padding: 14px 28px;
  position: relative;
  transition: all 0.4s ease-in-out;
  --hover-x: 0;
  --hover-y: 0;
  overflow: hidden;
  z-index: 0;
}
body.karolo-theme .gform_wrapper.gform-theme--framework .gform_footer .gform_button:after {
  content: '';
  background-color: var(--wp--preset--color--primary-hover);
  position: absolute;
  z-index: -1;
  top: calc(var(--hover-y) * 1px);
  left: calc(var(--hover-x) * 1px);
  width: 0;
  height: 0;
  display: block;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  transition: width 0.4s ease-in-out, height 0.4s ease-in-out;
}
body.karolo-theme .gform_wrapper.gform-theme--framework .gform_footer .gform_button:hover:after {
  width: 225%;
  height: 560px;
}
body.karolo-theme .gform_wrapper.orange-button_wrapper.gform-theme--framework .gform_footer .gform_button:after {
  background-color: var(--wp--preset--color--orange-hover);
}
body.karolo-theme .gform_wrapper.blue-button_wrapper.gform-theme--framework .gform_footer .gform_button:after {
  background-color: var(--wp--preset--color--blue-hover);
}
body.karolo-theme.single-course .gform_wrapper.gform-theme--framework .gform_footer .gform_button:after {
  background-color: var(--wp--preset--color--orange-hover);
}
body.karolo-theme.single-fundraising .gform_wrapper.gform-theme--framework .gform_footer .gform_button:after {
  background-color: var(--wp--preset--color--blue-hover);
}
@media screen and (max-width: 640px) {
  body.karolo-theme .gform_wrapper.gform-theme--framework .gform_fields .gfield.gfield--type-quantity {
    grid-column: span 12;
  }
}
:root {
  font-size: var(--wp--custom--typography--font-size--body);
  line-height: var(--wp--custom--typography--line-height--body);
}
.kd-section:not(.has-background) + .kd-section:not(.w-border,.has-background) {
  padding-top: 0;
}
body.karolo-theme .kd-hero .kd-hero-cover {
  min-height: 710px;
}
body.karolo-theme .kd-hero .kd-hero-cover .wp-block-cover__inner-container {
  position: unset;
}
body.karolo-theme .kd-hero .kd-hero-cover .wp-block-cover__inner-container > .wp-block-group {
  max-width: 50%;
  padding-right: var(--wp--custom--gap--horizontal);
  z-index: 1;
}
body.karolo-theme .kd-hero .kd-hero-cover .kd-hero-image {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  width: 50%;
  height: 100%;
  margin-top: 0;
  overflow: hidden;
  z-index: 0;
  mask-image: url("../images/mask-hero.svg");
  mask-repeat: no-repeat;
  mask-position: center left;
  mask-size: cover;
}
body.karolo-theme .kd-hero .kd-hero-cover .kd-hero-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: 50% 50%;
  border-radius: 0;
}
body.karolo-theme .kd-hero.kd-home-hero .wp-block-karolo-react-blocks-slideshow .swiper {
  overflow: visible;
}
body.karolo-theme .kd-hero.kd-home-hero .wp-block-karolo-react-blocks-slideshow .swiper .swiper-pagination-bullets {
  bottom: -33px;
  line-height: 8px;
}
body.karolo-theme .kd-hero.kd-home-hero .wp-block-karolo-react-blocks-slideshow .swiper .swiper-pagination-bullets .swiper-pagination-bullet {
  height: 8px;
  width: 8px;
}
body.karolo-theme .kd-hero:has(> .wp-block-karolo-react-blocks-slideshow) {
  padding-bottom: 33px;
}
body.karolo-theme .kd-hero-small .kd-hero-cover .course-meta {
  color: var(--wp--preset--color--bg);
  font-weight: var(--wp--custom--typography--font-weight--semi-bold);
}
body.karolo-theme.single-help-hub .wp-block-post-content .wp-block-image:has(+ *) {
  margin-bottom: 2rem;
}
body.karolo-theme.single-help-hub .wp-block-post-content .wp-block-group.is-layout-flex .wp-block-image:has(+ *) {
  margin-bottom: 0;
}
body.karolo-theme.single-help-hub .wp-block-post-content .wp-block-group.is-layout-flex:has(> .wp-block-image):has(+ *) {
  gap: 2rem;
  margin-bottom: 2rem;
}
body.karolo-theme .kd-section {
  position: relative;
}
body.karolo-theme .kd-section.kd-section-mask__top {
  padding-top: calc(var(--wp--custom--gap--vertical) * 1.5);
}
body.karolo-theme .kd-section.kd-section-mask__top:before {
  content: '';
  display: block;
  position: absolute;
  top: -1px;
  right: 0;
  left: 0;
  width: 100%;
  height: 42px;
  mask-image: url("../images/mask-top.svg");
  mask-repeat: no-repeat;
  mask-position: top center;
  mask-size: 100% 100%;
  background-color: var(--wp--preset--color--bg);
  z-index: 1;
}
body.karolo-theme .kd-section.kd-section-mask__bottom {
  padding-bottom: calc(var(--wp--custom--gap--vertical) * 1.5);
}
body.karolo-theme .kd-section.kd-section-mask__bottom:after {
  content: '';
  display: block;
  position: absolute;
  bottom: -1px;
  right: 0;
  left: 0;
  width: 100%;
  height: 42px;
  mask-image: url("../images/mask-bottom.svg");
  mask-repeat: no-repeat;
  mask-position: bottom center;
  mask-size: 100% 100%;
  background-color: var(--wp--preset--color--bg);
  z-index: 1;
}
body.karolo-theme .kd-section.kd-section-mask__bottom.bottom-teal:after {
  background-color: var(--wp--preset--color--teal);
}
body.karolo-theme .kd-section.kd-section-mask__bottom.bottom-blue:after {
  background-color: var(--wp--preset--color--blue);
}
body.karolo-theme .kd-section.kd-section-mask__bottom.bottom-green:after {
  background-color: #a6ce3a;
}
body.karolo-theme .kd-section.kd-help-hub-section:before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 678px;
  height: 525px;
  background-image: url("../images/help-hub-bg-blur-left.svg");
  background-size: contain;
  background-position: top left;
  background-repeat: no-repeat;
  z-index: 0;
  filter: blur(6px);
}
body.karolo-theme .kd-section.kd-help-hub-section:after {
  content: '';
  display: block;
  position: absolute;
  bottom: 0;
  right: 0;
  width: 895px;
  height: 775px;
  background-image: url("../images/help-hub-bg-blur-right.svg");
  background-size: contain;
  background-position: bottom right;
  background-repeat: no-repeat;
  z-index: 0;
  filter: blur(6px);
}
body.karolo-theme .kd-section.kd-help-hub-section.kd-help-hub-hero {
  padding-top: 60px;
  padding-bottom: 60px;
}
body.karolo-theme .kd-section .kd-image-mask__left {
  position: relative;
}
body.karolo-theme .kd-section .kd-image-mask__left:before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  height: 100%;
  width: 42px;
  mask-image: url("../images/mask-left.svg");
  mask-repeat: no-repeat;
  mask-position: center right;
  mask-size: 100% 100%;
  background-color: var(--wp--preset--color--bg);
  z-index: 1;
}
body.karolo-theme .kd-section .kd-image-mask__right {
  position: relative;
}
body.karolo-theme .kd-section .kd-image-mask__right:after {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  height: 100%;
  width: 42px;
  mask-image: url("../images/mask-right.svg");
  mask-repeat: no-repeat;
  mask-position: center left;
  mask-size: 100% 100%;
  background-color: var(--wp--preset--color--bg);
  z-index: 1;
}
body.karolo-theme .kd-section .kd-image-mask__bottom {
  position: relative;
}
body.karolo-theme .kd-section .kd-image-mask__bottom:after {
  content: '';
  display: block;
  position: absolute;
  bottom: -1px;
  right: 0;
  left: 0;
  width: 100%;
  height: 20px;
  mask-image: url("../images/mask-bottom.svg");
  mask-repeat: no-repeat;
  mask-position: bottom center;
  mask-size: 100% 100%;
  background-color: var(--wp--preset--color--bg);
  z-index: 1;
}
body.karolo-theme .kd-section#site-search {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 99999;
  display: block;
  width: 100%;
  height: 100%;
  padding-top: calc(var(--wp--custom--gap--vertical) * 2);
  transition: all 0.2s ease-in-out;
  opacity: 0;
  visibility: hidden;
}
body.karolo-theme .kd-section#site-search .wp-block-search .wp-block-search__inside-wrapper {
  position: relative;
}
body.karolo-theme .kd-section#site-search .wp-block-search .wp-block-search__inside-wrapper .wp-block-search__input {
  width: 100%;
  display: block;
  border: 3px solid var(--wp--preset--color--secondary);
  border-radius: 35px;
  padding: 16px 30px;
  font-size: var(--wp--custom--typography--font-size--body);
  line-height: var(--wp--custom--typography--line-height--body);
  font-weight: var(--wp--custom--typography--font-weight--semi-bold);
  font-family: var(--wp--preset--font-family--primary);
  color: var(--wp--preset--color--body-text);
}
body.karolo-theme .kd-section#site-search .wp-block-search .wp-block-search__inside-wrapper .wp-block-search__button {
  all: unset;
  text-indent: -9999px;
  width: 18px;
  height: 18px;
  background-image: url("../images/search.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  position: absolute;
  top: 50%;
  right: 30px;
  transform: translateY(-50%);
  background-color: transparent !important;
}
body.karolo-theme .kd-section#site-search .wp-block-search .wp-block-search__inside-wrapper .wp-block-search__button:hover {
  cursor: pointer;
}
body.karolo-theme .kd-section#site-search #site-search-close a img {
  position: relative;
  top: 4px;
}
body.karolo-theme .kd-section#site-search.active {
  opacity: 1;
  visibility: visible;
}
body.karolo-theme .kd-footer .kd-footer-lower .wp-block-social-links .wp-social-link a svg {
  width: 28px;
  height: 28px;
}
body.karolo-theme .kd-footer .kd-footer-lower .wp-block-social-links .wp-social-link a svg path {
  transition: all 0.2s ease-in-out;
}
body.karolo-theme .kd-footer .kd-footer-lower .wp-block-social-links .wp-social-link a:hover svg path {
  fill: var(--wp--preset--color--primary);
}
body.karolo-theme .kd-footer .kd-footer-lower .kd-logo-slideshow {
  margin: 70px 0;
}
body.karolo-theme .kd-column-padding__left {
  padding-left: var(--wp--custom--gap--column-horizontal);
}
body.karolo-theme .kd-column-padding__right {
  padding-right: var(--wp--custom--gap--column-horizontal);
}
body.karolo-theme .kd-boxed-item {
  border-radius: var(--wp--custom--borderradius);
  padding: 50px;
}
body.karolo-theme .kd-boxed-item.sidebar {
  padding: 40px;
}
body.karolo-theme .kd-boxed-item.image-content {
  padding: 40px 60px 80px;
}
body.karolo-theme .kd-eq-height-cols {
  height: 100%;
}
body.karolo-theme .kd-help-hub-item {
  border-radius: var(--wp--custom--borderradius);
  padding: 40px 40px 20px;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
body.karolo-theme .kd-box-shadow > img {
  box-shadow: var(--wp--custom--box-shadow);
}
body.karolo-theme .kd-box-shadow:not(:has(> img)) {
  box-shadow: var(--wp--custom--box-shadow);
}
body.karolo-theme .kd-border-rad {
  border-radius: var(--wp--custom--borderradius);
}
body.karolo-theme .kd-image-overlap {
  z-index: 1;
  position: relative;
}
body.karolo-theme .kd-image-overlap.overlap-top {
  margin-top: -83px;
}
body.karolo-theme .kd-offset-image__center {
  padding: 0 32px;
}
body.karolo-theme .kd-offset-image__left {
  margin-left: -60px;
}
body.karolo-theme .kd-offset-image__left .bg-icon {
  position: absolute;
  bottom: -26px;
  left: 136px;
}
body.karolo-theme .kd-offset-image__right {
  margin-right: -60px;
}
body.karolo-theme .kd-offset-image__right .wp-block-image {
  text-align: right;
  position: relative;
  z-index: 1;
}
body.karolo-theme .kd-offset-image__right .bg-icon {
  position: absolute;
  top: -80px;
  right: -6px;
  z-index: 0;
}
body.karolo-theme .kd-image-w-bg-icon {
  position: relative;
}
body.karolo-theme .kd-image-w-bg-icon.bottom-left > .bg-icon {
  position: absolute;
  bottom: -20px;
  left: -17px;
}
body.karolo-theme .kd-image-w-bg-icon.top-right > .bg-icon {
  position: absolute;
  top: -25px;
  right: -36px;
}
body.karolo-theme .kd-image-w-bg-icon.top-right.small > .bg-icon {
  width: 80px;
  top: auto;
  right: auto;
  bottom: -42px;
  left: -40px;
}
body.karolo-theme .kd-image-w-bg-icon.bottom > .bg-icon {
  position: absolute;
  bottom: -10px;
  right: 169px;
  z-index: 1;
}
body.karolo-theme .sr-only:not(:focus):not(:active) {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}
body.karolo-theme .wp-block-image img {
  width: 100%;
}
body.karolo-theme .wp-block-post-featured-image img.size-portrait-featured {
  aspect-ratio: 10000 / 11831;
}
body.karolo-theme .wp-block-post-featured-image img.size-landscape-featured {
  aspect-ratio: 10000 / 6837;
}
body.karolo-theme .wp-block-post-title.has-orange-color > a {
  color: var(--wp--preset--color--orange);
}
body.karolo-theme .wp-block-post-title.has-blue-color > a {
  color: var(--wp--preset--color--blue);
}
body.karolo-theme ul.wp-block-list {
  padding-left: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
body.karolo-theme ul.wp-block-list li {
  display: block;
  padding-left: 28px;
  position: relative;
}
body.karolo-theme ul.wp-block-list li:before {
  content: '';
  display: block;
  width: 8px;
  height: 8px;
  border-radius: 100%;
  background-color: var(--wp--preset--color--primary);
  top: 11px;
  position: absolute;
  left: 0;
}
body.karolo-theme ul.wp-block-list:has(+ *) {
  margin-bottom: 40px;
}
body.karolo-theme ol.wp-block-list {
  padding-left: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 30px;
  counter-reset: item;
}
body.karolo-theme ol.wp-block-list li {
  counter-increment: item;
  padding-left: 28px;
  position: relative;
}
body.karolo-theme ol.wp-block-list li:before {
  position: absolute;
  left: 0;
  top: 2px;
  content: counter(item);
  display: block;
  color: var(--wp--preset--color--primary);
  font-size: var(--wp--custom--typography--font-size--heading-five);
  line-height: var(--wp--custom--typography--line-height--heading-five);
}
body.karolo-theme ol.wp-block-list:has(+ *) {
  margin-bottom: 40px;
}
body.karolo-theme .wp-block-post-content .wp-block-buttons:has(+ *) {
  margin-bottom: 40px;
}
body.karolo-theme .wp-block-buttons .wp-block-button .wp-block-button__link {
  transition: all 0.2s ease-in-out;
}
body.karolo-theme .wp-block-buttons .wp-block-button:not(.is-style-read-more-button) .wp-block-button__link {
  position: relative;
  transition: all 0.4s ease-in-out;
  --hover-x : 0;
  --hover-y: 0;
  overflow: hidden;
  z-index: 0;
}
body.karolo-theme .wp-block-buttons .wp-block-button:not(.is-style-read-more-button) .wp-block-button__link:after {
  content: '';
  background-color: var(--wp--preset--color--teal-hover);
  position: absolute;
  z-index: -1;
  top: var(--hover-y);
  left: var(--hover-x);
  width: 0;
  height: 0;
  display: block;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  transition: width 0.4s ease-in-out, height 0.4s ease-in-out;
}
body.karolo-theme .wp-block-buttons .wp-block-button:not(.is-style-read-more-button) .wp-block-button__link:hover:after {
  width: 225%;
  height: 560px;
}
body.karolo-theme .wp-block-buttons .wp-block-button:not(.is-style-read-more-button) .wp-block-button__link.has-primary-background-color {
  border-color: var(--wp--preset--color--primary);
}
body.karolo-theme .wp-block-buttons .wp-block-button:not(.is-style-read-more-button) .wp-block-button__link.has-primary-background-color:after {
  background-color: var(--wp--preset--color--primary-hover);
}
body.karolo-theme .wp-block-buttons .wp-block-button:not(.is-style-read-more-button) .wp-block-button__link.has-blue-background-color {
  border-color: var(--wp--preset--color--blue);
}
body.karolo-theme .wp-block-buttons .wp-block-button:not(.is-style-read-more-button) .wp-block-button__link.has-blue-background-color:after {
  background-color: var(--wp--preset--color--blue-hover);
}
body.karolo-theme .wp-block-buttons .wp-block-button:not(.is-style-read-more-button) .wp-block-button__link.has-orange-background-color {
  border-color: var(--wp--preset--color--orange);
}
body.karolo-theme .wp-block-buttons .wp-block-button:not(.is-style-read-more-button) .wp-block-button__link.has-orange-background-color:after {
  background-color: var(--wp--preset--color--orange-hover);
}
body.karolo-theme .wp-block-buttons .wp-block-button.is-style-read-more-button .wp-block-button__link {
  display: flex;
  flex-direction: row;
  gap: 12px;
  color: var(--wp--preset--color--secondary);
  background-color: transparent;
  border: none;
  padding: 0;
  font-size: var(--wp--custom--typography--font-size--heading-five);
  line-height: var(--wp--custom--typography--line-height--heading-five);
  align-items: center;
}
body.karolo-theme .wp-block-buttons .wp-block-button.is-style-read-more-button .wp-block-button__link:after {
  content: '';
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='25' height='25' viewBox='0 0 25 25' fill='none'%3E%3Cpath d='M11.1591 8.54089L14.65 12.0318L11.1591 15.5227' stroke='%23902B86' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'/%3E%3Ccircle cx='12.25' cy='12.25' r='10.5' stroke='%23902B86' stroke-width='3'/%3E%3C/svg%3E");
  display: block;
  width: 24px;
  height: 24px;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}
body.karolo-theme .wp-block-read-more {
  display: flex;
  flex-direction: row;
  gap: 12px;
  color: var(--wp--preset--color--secondary);
  background-color: transparent;
  border: none;
  padding: 0;
  font-size: var(--wp--custom--typography--font-size--heading-five);
  line-height: var(--wp--custom--typography--line-height--heading-five);
  font-weight: var(--wp--custom--typography--font-weight--semi-bold);
  transition: all 0.2s ease-in-out;
}
body.karolo-theme .wp-block-read-more:after {
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='25' height='25' viewBox='0 0 25 25' fill='none'%3E%3Cpath d='M11.1591 8.54089L14.65 12.0318L11.1591 15.5227' stroke='%23902B86' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'/%3E%3Ccircle cx='12.25' cy='12.25' r='10.5' stroke='%23902B86' stroke-width='3'/%3E%3C/svg%3E");
  display: block;
  width: 24px;
  height: 24px;
}
body.karolo-theme .wp-block-post-title > a {
  color: var(--wp--preset--color--primary);
  transition: all 0.2s ease-in-out;
}
body.karolo-theme .wp-block-post-title > a:hover {
  color: var(--wp--preset--color--primary-hover);
}
body.karolo-theme .wp-block-post-title.has-teal-color > a {
  color: var(--wp--preset--color--teal);
}
body.karolo-theme .wp-block-post-title.has-teal-color > a:hover {
  color: var(--wp--preset--color--teal-hover);
}
body.karolo-theme .owl-carousel .owl-controls .owl-dots {
  justify-content: center;
  display: flex;
  margin-top: 25px;
  gap: 12px;
}
body.karolo-theme .owl-carousel .owl-controls .owl-dots .owl-dot {
  width: 8px;
  height: 8px;
  background-color: var(--wp--preset--color--primary);
  opacity: 0.25;
  transition: all 0.2s ease-in-out;
  border-radius: 100%;
}
body.karolo-theme .owl-carousel .owl-controls .owl-dots .owl-dot.active {
  opacity: 1;
}
body.karolo-theme .um-row-heading {
  font-size: 34px;
  font-family: tt-commons-pro, sans-serif !important;
  font-weight: 500 !important;
  line-height: 42px;
  color: #902b86;
}
body.karolo-theme .um .um-field-area input {
  background-color: #f7f3f7 !important;
  padding: 24px 18px 20px 18px !important;
}
body.karolo-theme .um .um-form textarea {
  background-color: #f7f3f7 !important;
  padding: 24px 18px 20px 18px !important;
}
body.karolo-theme .um .um-button {
  font-size: 22px !important;
  font-family: tt-commons-pro, sans-serif !important;
  font-weight: 500 !important;
}
body.karolo-theme .um .um-field-label {
  line-height: 22px !important;
}
body.karolo-theme .wp-element-caption {
  font-size: 22px;
  line-height: 28px;
  font-weight: 500;
  text-align: left !important;
  display: block;
  margin-top: 24px;
}
@media screen and (min-width: 782px) {
  body.karolo-theme .kd-columns-reverse-md {
    flex-direction: row-reverse;
  }
}
@media screen and (max-width: 1023px) {
  body.karolo-theme {
    --wp--custom--gap--vertical: 80px;
    --wp--custom--gap--horizontal: 40px;
    --wp--custom--typography--font-size--body: 18px;
    --wp--custom--typography--line-height--body: 26px;
    --wp--custom--typography--font-size--heading-one: 60px;
    --wp--preset--font-size--heading-one: 60px !important;
    --wp--custom--typography--line-height--heading-one: 64px;
    --wp--custom--typography--font-size--heading-two: 50px;
    --wp--preset--font-size--heading-two: 50px !important;
    --wp--custom--typography--line-height--heading-two: 54px;
    --wp--custom--typography--font-size--heading-three: 32px;
    --wp--preset--font-size--heading-three: 32px !important;
    --wp--custom--typography--line-height--heading-three: 38px;
    --wp--custom--typography--font-size--heading-four: 26px;
    --wp--preset--font-size--heading-four: 26px !important;
    --wp--custom--typography--line-height--heading-four: 32px;
  }
  .wp-block-columns.kd-cols-2-tb {
    flex-wrap: wrap !important;
  }
  .wp-block-columns.kd-cols-2-tb > .wp-block-column {
    flex-basis: calc(50% - (48px / 2));
  }
}
@media screen and (max-width: 781px) {
  body.karolo-theme {
    --wp--custom--typography--font-size--body: 16px;
    --wp--custom--typography--line-height--body: 24px;
    --wp--custom--typography--font-size--heading-one: 40px;
    --wp--preset--font-size--heading-one: 40px !important;
    --wp--custom--typography--line-height--heading-one: 44px;
    --wp--custom--typography--font-size--heading-two: 34px;
    --wp--preset--font-size--heading-two: 34px !important;
    --wp--custom--typography--line-height--heading-two: 38px;
    --wp--custom--typography--font-size--heading-three: 28px;
    --wp--preset--font-size--heading-three: 28px !important;
    --wp--custom--typography--line-height--heading-three: 32px;
    --wp--custom--gap--vertical: 50px !important;
    --wp--custom--gap--horizontal: 20px !important;
    --wp--custom--gap--column-vertical: 40px !important;
  }
  body.karolo-theme .kd-hero .kd-hero-cover {
    align-items: flex-start;
    padding: 0;
    min-height: auto;
  }
  body.karolo-theme .kd-hero .kd-hero-cover .wp-block-cover__inner-container {
    display: flex;
    gap: var(--wp--custom--gap--column-vertical);
    flex-direction: column;
  }
  body.karolo-theme .kd-hero .kd-hero-cover .wp-block-cover__inner-container > .wp-block-group {
    padding: var(--wp--custom--gap--vertical) var(--wp--custom--gap--horizontal) 0;
    max-width: 100%;
  }
  body.karolo-theme .kd-hero .kd-hero-cover .kd-hero-image {
    position: relative;
    top: auto;
    left: 0;
    width: 100%;
    height: auto;
    mask-image: url("../images/mask-hero-mobile.svg");
    mask-position: top center;
  }
  body.karolo-theme .kd-hero-small .kd-hero-cover {
    min-height: 300px;
  }
  body.karolo-theme .kd-section.kd-section-mask__top:before {
    height: 21px;
  }
  body.karolo-theme .kd-section.kd-section-mask__bottom:after {
    height: 21px;
  }
  body.karolo-theme .kd-section .kd-image-mask__left:before {
    width: 21px;
  }
  body.karolo-theme .kd-section .kd-image-mask__right:after {
    width: 21px;
  }
  body.karolo-theme .kd-footer .kd-footer-lower .kd-logo-slideshow {
    margin: var(--wp--custom--gap--vertical) 0;
  }
  body.karolo-theme .kd-column-padding__left {
    padding-left: 0;
  }
  body.karolo-theme .kd-column-padding__right {
    padding-right: 0;
  }
  body.karolo-theme .kd-no-pr__right {
    padding-right: 0;
  }
  body.karolo-theme .kd-help-hub-item {
    padding: 30px 30px 20px;
  }
  body.karolo-theme .kd-offset-image__center {
    padding: 0;
  }
}
body.karolo-theme .woocommerce .quantity .qty {
  width: auto;
  border: 3px solid var(--wp--preset--color--primary);
  border-radius: 35px;
  font-family: var(--wp--preset--font-family--primary);
  font-size: var(--wp--custom--typography--font-size--body);
  line-height: var(--wp--custom--typography--line-height--body);
  padding: 0.4em;
}
body.karolo-theme.woocommerce-cart .wp-block-post-title {
  max-width: unset;
}
body.karolo-theme.woocommerce-account main .woocommerce {
  max-width: unset;
}
body.karolo-theme .wc-block-catalog-sorting .woocommerce-ordering select {
  -webkit-appearance: none;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='10' viewBox='0 0 16 10' fill='none'%3E%3Cpath d='M2 2L8 8L14 2' stroke='%23902B86' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: calc(100% - 30px) center;
  background-size: 12px;
  border: 3px solid var(--wp--preset--color--primary);
  background-color: var(--wp--preset--color--bg);
  border-radius: 35px;
  padding: 16px 30px;
  font-size: var(--wp--custom--typography--font-size--body);
  line-height: var(--wp--custom--typography--line-height--body);
  font-weight: var(--wp--custom--typography--font-weight--semi-bold);
  font-family: var(--wp--preset--font-family--primary);
  color: var(--wp--preset--color--body-text);
  position: relative;
}
body.karolo-theme .wp-block-woocommerce-product-collection .wp-block-woocommerce-product-template .wp-block-post-title {
  font-size: var(--wp--custom--typography--font-size--heading-five) !important;
  line-height: var(--wp--custom--typography--line-height--heading-five) !important;
}
body.karolo-theme .wp-block-woocommerce-product-collection .wp-block-woocommerce-product-template .wp-block-woocommerce-product-price .wc-block-components-product-price {
  font-size: var(--wp--custom--typography--font-size--body) !important;
  line-height: var(--wp--custom--typography--line-height--body) !important;
}
body.karolo-theme .wp-block-woocommerce-product-categories .wc-block-product-categories-list {
  padding-left: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
body.karolo-theme .wp-block-woocommerce-product-categories .wc-block-product-categories-list li {
  display: block;
  padding-left: 28px;
  position: relative;
}
body.karolo-theme .wp-block-woocommerce-product-categories .wc-block-product-categories-list li:before {
  content: '';
  display: block;
  width: 8px;
  height: 8px;
  border-radius: 100%;
  background-color: var(--wp--preset--color--primary);
  top: 11px;
  position: absolute;
  left: 0;
}
body.karolo-theme .wp-block-woocommerce-product-categories .wc-block-product-categories-list:has(+ *) {
  margin-bottom: 40px;
}
body.karolo-theme .woocommerce-product-gallery .woocommerce-product-gallery__image {
  border: 1px solid var(--wp--preset--color--border);
  border-radius: var(--wp--custom--borderradius) var(--wp--custom--borderradius) 0 0;
}
body.karolo-theme .woocommerce-product-gallery .flex-control-thumbs {
  border: 1px solid var(--wp--preset--color--border);
  border-radius: 0 0 var(--wp--custom--borderradius) var(--wp--custom--borderradius);
}
body.karolo-theme .wp-block-add-to-cart-form table.variations select {
  -webkit-appearance: none;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='10' viewBox='0 0 16 10' fill='none'%3E%3Cpath d='M2 2L8 8L14 2' stroke='%23902B86' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: calc(100% - 30px) center;
  background-size: 12px;
  border: 3px solid var(--wp--preset--color--primary);
  background-color: var(--wp--preset--color--bg);
  border-radius: 35px;
  padding: 14px 88px 14px 30px;
  font-size: var(--wp--custom--typography--font-size--body);
  line-height: var(--wp--custom--typography--line-height--body);
  font-weight: var(--wp--custom--typography--font-weight--semi-bold);
  font-family: var(--wp--preset--font-family--primary);
  color: var(--wp--preset--color--body-text);
  position: relative;
}
body.karolo-theme .wp-block-button.wc-block-components-product-button .wp-block-button__link {
  position: relative;
  transition: all 0.4s ease-in-out;
  --hover-x : 0;
  --hover-y: 0;
  overflow: hidden;
  z-index: 0;
  font-size: var(--wp--custom--typography--font-size--button) !important;
  line-height: var(--wp--custom--typography--line-height--button) !important;
}
body.karolo-theme .wp-block-button.wc-block-components-product-button .wp-block-button__link:after {
  content: '';
  background-color: var(--wp--preset--color--teal-hover);
  position: absolute;
  z-index: -1;
  top: var(--hover-y);
  left: var(--hover-x);
  width: 0;
  height: 0;
  display: block;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  transition: width 0.4s ease-in-out, height 0.4s ease-in-out;
}
body.karolo-theme .wp-block-button.wc-block-components-product-button .wp-block-button__link:hover:after {
  width: 225%;
  height: 560px;
}
body.karolo-theme .single_add_to_cart_button {
  position: relative;
  transition: all 0.4s ease-in-out;
  --hover-x : 0;
  --hover-y: 0;
  overflow: hidden;
  z-index: 0;
  font-size: var(--wp--custom--typography--font-size--button) !important;
  line-height: var(--wp--custom--typography--line-height--button) !important;
}
body.karolo-theme .single_add_to_cart_button:after {
  content: '';
  background-color: var(--wp--preset--color--teal-hover);
  position: absolute;
  z-index: -1;
  top: var(--hover-y);
  left: var(--hover-x);
  width: 0;
  height: 0;
  display: block;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  transition: width 0.4s ease-in-out, height 0.4s ease-in-out;
}
body.karolo-theme .single_add_to_cart_button:hover:after {
  width: 225%;
  height: 560px;
}
body.karolo-theme .woocommerce-variation-add-to-cart .fpf-fields .fpf-field .form-row label {
  margin-bottom: 0;
}
body.karolo-theme .woocommerce-variation-add-to-cart .fpf-fields .fpf-field .form-row .woocommerce-input-wrapper input {
  font-family: var(--wp--preset--font-family--primary);
  border: 3px solid var(--wp--preset--color--primary);
  border-radius: 35px;
  font-size: var(--wp--custom--typography--font-size--body);
  line-height: var(--wp--custom--typography--line-height--body);
  font-weight: var(--wp--custom--typography--font-weight--semi-bold);
  color: var(--wp--preset--color--body-text);
}
@media screen and (max-width: 519px) {
  body.karolo-theme .wp-block-woocommerce-mini-cart-title-block.wc-block-mini-cart__title {
    flex-direction: column;
  }
}
